GET /artworks
artic.edu:art-institute-of-chicago-api
Summary: —
Operation ID: —
Auth: unknown
Operation ID: —
Auth: unknown
Description
A list of all artworks sorted by last updated date in descending order.
Parameters (4)
fields
(string, query, optional)
Comma-separated list of field names to return
ids
(string, query, optional)
Comma-separated list of IDs to retrieve
limit
(integer, query, optional, default: 10)
Number of results per page (max 100)
Constraints: {'minimum': 1, 'maximum': 100}
page
(integer, query, optional, default: 1)
Page number for pagination
Constraints: {'minimum': 1}
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| List first 10 artworks (default pagination) | curl |
https://api.artic.edu/api/v1/artworks?limit=10&page=1 |
|
| Fetch specific artworks by ID with limited fields | curl |
https://api.artic.edu/api/v1/artworks?ids=27992,28560&fields=id,title,artist_display,date_display,image_id |
|
| Paginated results with specific fields | curl |
https://api.artic.edu/api/v1/artworks?limit=5&page=2&fields=id,title,artist_title,artwork_type_title |
|
| List artworks | probe-gate |
https://api.artic.edu/api/v1/artworks |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:45:36.221120 | 200 | 630ms | |
| 2026-03-23 10:44:35.176543 | 200 | 365ms | |
| 2026-03-23 10:11:26.054246 | 200 | 464ms | |
| 2026-03-23 09:48:44.086248 | 200 | 71ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:11:26.054246 | bdf3df7996f0 |
9e24d9648df7 |
| 2026-03-23 10:44:35.176543 | 9e24d9648df7 |
5df46a8de8a3 |
| 2026-03-23 10:45:36.221120 | 5df46a8de8a3 |
148698d34136 |